Subject: [Fwd: Re: draft-freed-sieve-in-xml status?]

From: Alexey Melnikov <[email-masked]>
Date: Mon, 15 Dec 2008 17:26:21 +0000

Forwarding to the mailing list with Ned's permission.

Subject: Re: draft-freed-sieve-in-xml status?
From: Alexey Melnikov <[email-masked]>
To: Ned Freed <[email-masked]>
Date: Mon, 15 Dec 2008 16:57:05 +0000

Ned Freed wrote:

>
>> Can we just standardize a namespace URI (but don't require use of
>> namespaces) and be done with this issue?
>
>
> I have no objection as long as we don't clutter up the examples with 
> it. RFC
> 3470 has this to say about namespace usage in RFCs:
>
>  In the case of namespaces in IETF standards-track documents, it would be
>  useful if there were some permanent part of the IETF's own web space 
> that
>  could be used for this purpose. In lieu of such, other permanent URIs 
> can
>  be used, e.g., URNs in the IETF URN namespace (see [11] and [12]). 
> Although
>  there are instances of IETF specifications creating new URI schemes to
>  define XML namespaces, this practice is strongly discouraged.
>
> RFC 3688 then created the necessary allocation and an associated 
> registry:
>
>  ns -- XML Namespaces [W3C.REC-xml-names] are named by a URI. They 
> have no
>  real, machine-parseable representation. Thus, the registered document 
> will be
>  either the specification or a reference to it. In the case where a 
> URI is not
>  provided by the registrant, the IANA will assign a URN of the form
>  'urn:ietf:params:xml:ns:<id> which will be the XML Namespace's name.
>
> It is also expected that schemata will be registered. However, since 
> we're
> about to switch to Relax NG and AFAICT the schema registry is for
> XML Schema language stuff only, this won't apply to us as of the next
> revision. So we'll end up with an IANA Considerations section like the
> following:
>
> 7.  IANA Considerations
>
>   This section registers a new XML namespace per the procedures in RFC
>   3688 [RFC3688].
>
> URI:  urn:ietf:params:xml:ns:sieve
>
> Registrant Contact:  IETF Sieve working group <[email-masked]>
>
> XML:
>
>  BEGIN
>  <?xml version="1.0"?>
>  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML Basic 1.0//EN"
>    "http://www.w3.org/TR/xhtml-basic/xhtml-basic10.dtd">
>  <html xmlns="http://www.w3.org/1999/xhtml">
>  <head>
>    <meta http-equiv="content-type"
>          content="text/html;charset=iso-8859-1"/>
>    <title>Sieve Namespace</title>
>  </head>
>  <body>
>    <h1>Namespace for Sieve Language objects expressed in XML</h1>
>    <h2>urn:ietf:params:xml:ns:sieve</h2>
>    <p>See <a href="http://www.rfc-editor.org/rfc/rfc5361.txt">
>    RFC 5361</a>.
>    </p>
>  </body>
>  </html>
>  END
>
> Unless there are objections I'll include this in the next draft.

This looks good to me. Thanks!

BTW, my reply was directly to you. However I think your reply should go 
to the mailing list. Can you either forward your reply to the mailing 
list or can I do that?